Bug 1027280 - ssh agent fails if ECDSA keys are present
ssh agent fails if ECDSA keys are present
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-keyring (Show other bugs)
22
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-06 08:16 EST by Nikos Mavrogiannopoulos
Modified: 2016-07-19 16:03 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 16:03:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 641082 None None None Never

  None (edit)
Description Nikos Mavrogiannopoulos 2013-11-06 08:16:18 EST
Description of problem:
When adding ECDSA keys, then ssh agent fails to operate.

Version-Release number of selected component (if applicable):
openssh-6.3p1-5.fc20.x86_64

How reproducible:

$ ssh-keygen -t ecdsa
$ ssh-add

The last command fails with:
Error reading response length from authentication socket.
Could not add identity: /home/user/.ssh/id_ecdsa
Comment 1 Nikos Mavrogiannopoulos 2013-11-06 10:02:18 EST
After some tests it seems to be only present when gnome-keyring is used as agent. It works with ssh-agent.

The keyring version tested with is:
gnome-keyring-3.10.0-1.fc20.x86_64
Comment 2 Daniel Berrange 2015-01-06 08:16:06 EST
Also fails with ed25519 keys too, and no change in Fedora 21/rawhide either. The upstream bug tracking this missing feature is

https://bugzilla.gnome.org/show_bug.cgi?id=641082
Comment 3 Fedora End Of Life 2015-05-29 05:42:07 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2016-07-19 16:03:24 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.